#property copyright "Uniano"
#property link      "http://uniano.com"
#property version   "1.00"
#property strict
#include <Trade\Trade.mqh> 
CTrade Trade;
//-----------------------------------------------------------------------------------------------------------------------------------------------
   // External variables

input double Profit = 20;    // Profit to close 
input double Loss   = 20;    // Loss to close 
//-----------------------------------------------------------------------------------------------------------------------------------------------
   // Processing

void OnTick()
{
   // Close orders
   CloseOrders();
}
//-----------------------------------------------------------------------------------------------------------------------------------------------
   // Close orders

void CloseOrders()
{
   for (int s = PositionsTotal() - 1; s>=0; s--)
	{
	   if(PositionSelectByTicket(PositionGetTicket(s)))
	   {
	      ulong  ticket = PositionGetTicket(s);
	      double profit = PositionGetDouble(POSITION_PROFIT);
	      
	      if(profit>=Profit || profit<=Loss*(-1))
	      {
	         if(!Trade.PositionClose(ticket))
   		      Print("Trade.PositionClose has been ended with error #",GetLastError());
	      }
	   }
	}
}